Avro C#

Public Member Functions | Properties | List of all members
Avro.Reflect.ReflectReader< T > Class Template Reference

Reader wrapper class for reading data and storing into specific classes More...

Inheritance diagram for Avro.Reflect.ReflectReader< T >:

## Public Member Functions
| ReflectReader (Schema writerSchema, Schema readerSchema, ClassCache cache=null)
| Constructs a generic reader for the given schemas using the DefaultReader. If the reader's and writer's schemas are different this class performs the resolution. More...
| ReflectReader (ReflectDefaultReader reader)
| Constructs a generic reader from an instance of a ReflectDefaultReader (non-generic) More...
T | Read (T reuse, Decoder dec)
| Generic read function More...
T | Read (Decoder dec)
| Generic read function More...

## Properties
ReflectDefaultReader | Reader`[get]`
| Default reader More...
Schema | WriterSchema`[get]`
| Schema for the writer class More...
Schema | ReaderSchema`[get]`
| Schema for the reader class More...
Properties inherited from Avro.Generic.DatumReader< T >
Schema | ReaderSchema`[get]`
| Schema used to read the data. More...
Schema | WriterSchema`[get]`
| Schema that was used to write the data. More...

## Detailed Description

Reader wrapper class for reading data and storing into specific classes

Template Parameters

  T | Specific class type

## Constructor & Destructor Documentation

## ◆ ReflectReader() [1/2]

Avro.Reflect.ReflectReader< T >.ReflectReader | ( | Schema | writerSchema,
|  | Schema | readerSchema,
|  | ClassCache | cache = `null`
| ) |  |
| inline

Constructs a generic reader for the given schemas using the DefaultReader. If the reader's and writer's schemas are different this class performs the resolution.

Parameters

  writerSchema | The schema used while generating the data
  readerSchema | The schema desired by the reader
  cache | Class cache

## ◆ ReflectReader() [2/2]

Avro.Reflect.ReflectReader< T >.ReflectReader | ( | ReflectDefaultReader | reader | ) |
| inline

Constructs a generic reader from an instance of a ReflectDefaultReader (non-generic)

Parameters

  reader |

## Member Function Documentation

## ◆ Read() [1/2]

T Avro.Reflect.ReflectReader< T >.Read | ( | Decoder | dec | ) |
| inline

Generic read function

Parameters

  dec | decoder to use for reading data

Returns

## ◆ Read() [2/2]

T Avro.Reflect.ReflectReader< T >.Read | ( | T | reuse,
|  | Decoder | dec
| ) |  |
| inline

Generic read function

Parameters

  reuse | object to store data read
  dec | decoder to use for reading data

Returns

Implements Avro.Generic.DatumReader< T >.

## Property Documentation

## ◆ Reader

ReflectDefaultReader Avro.Reflect.ReflectReader< T >.Reader
| get

Default reader

## ◆ ReaderSchema

Schema Avro.Reflect.ReflectReader< T >.ReaderSchema
| get

Schema for the reader class

## ◆ WriterSchema

Schema Avro.Reflect.ReflectReader< T >.WriterSchema
| get

Schema for the writer class

The documentation for this class was generated from the following file:

- src/apache/main/Reflect/ReflectReader.cs